<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Fragments.LoginFragment">



    <TextView
        android:id="@+id/title"
        android:padding="@dimen/default_padding"
        android:text="ESPACE PERSONNEL"
        style="@style/first_title" />

    <TextView
        android:id="@+id/title2"
        android:text="Connexion à l'espace personnel"
        android:layout_below="@+id/title"
        style="@style/second_title" />


    <androidx.cardview.widget.CardView
        android:id="@+id/card_login"
        style="@style/card_view_centre"
        app:cardCornerRadius="@dimen/cardview_radius"
        app:cardElevation="@dimen/cardview_elevation">


    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="30dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/noto_sans_italic"
                android:padding="@dimen/default_padding"
                android:text="Mon identifiant :"
                android:textColor="@color/primary"
                android:textSize="16sp"
                android:textStyle="bold|normal" />

            <EditText
                android:id="@+id/edit_login"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/border_raduis_gris"
                android:drawableStart="@drawable/ic_email"
                android:drawablePadding="@dimen/default_padding"
                android:fontFamily="sans-serif"
                android:hint="adresse@email.com"
                android:inputType="textEmailAddress"
                android:maxLines="1"
                android:padding="10dp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/noto_sans_italic"
                android:padding="@dimen/default_padding"
                android:text="Mot de passe : "
                android:textColor="@color/primary"
                android:textSize="16sp"
                android:textStyle="bold|normal" />

            <EditText
                android:id="@+id/edit_pswrd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/border_raduis_gris"
                android:backgroundTintMode="src_in"
                android:drawableStart="@drawable/ic_lock"
                android:drawablePadding="@dimen/default_padding"
                android:fontFamily="sans-serif"
                android:hint="********"
                android:inputType="textPassword"
                android:maxLines="1"
                android:padding="@dimen/default_padding" />

            <CheckBox
                android:id="@+id/checkbox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/default_padding"
                android:button="@drawable/btn_checkbox"
                android:fontFamily="sans-serif"
                android:padding="@dimen/default_padding"
                android:text=" Se souvenir de moi"
                android:textSize="18sp"
                android:textStyle="normal"
                android:theme="@style/colored_checkBox" />

            <TextView
                android:id="@+id/btn_cnx"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@drawable/btn_raduis"
                android:backgroundTint="@color/primary"
                android:gravity="center"
                android:paddingHorizontal="30dp"
                android:paddingVertical="10dp"
                android:text="Connexion"
                android:textColor="@color/white"
                android:textSize="18sp" />


        </LinearLayout>

    </androidx.cardview.widget.CardView>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignTop="@id/card_login"
        android:layout_marginTop="100dp"
        android:background="@drawable/radius_left_right">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.cardview.widget.CardView
                android:layout_width="1000dp"
                android:layout_height="1000dp"
                android:alpha="0.03"
                android:background="@color/white"
                android:backgroundTint="@color/white"
                android:translationX="-600dp"
                android:translationY="50dp"
                app:cardCornerRadius="500dp"
                app:cardElevation="0dp" />


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.cardview.widget.CardView
                android:layout_width="1000dp"
                android:layout_height="1000dp"
                android:alpha="0.03"
                android:background="@color/white"
                android:backgroundTint="@color/white"
                android:translationX="50dp"
                android:translationY="270dp"
                app:cardCornerRadius="400dp"
                app:cardElevation="0dp" />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="25dp"
            android:paddingHorizontal="10dp"
            >

            <TextView
                android:id="@+id/btn_forgot"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif"
                android:gravity="center"
                android:text="J'ai oublié mes \nidentifiants"
                android:textColor="@color/white"
                android:textSize="14sp"
                android:textStyle="normal" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toEndOf="@id/btn_forgot"
                android:layout_toStartOf="@id/btn_anonyme"
                android:gravity="center">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/border_raduis"
                    android:backgroundTint="#0D6B48"
                    android:paddingVertical="1dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="6dp"
                        android:src="@drawable/ic_face_id" />

                    <View
                        android:layout_width="2dp"
                        android:layout_height="match_parent"
                        android:background="@color/primary" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="6dp"
                        android:src="@drawable/ic_empreinte" />


                </LinearLayout>

            </LinearLayout>


            <TextView
                android:id="@+id/btn_anonyme"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:fontFamily="sans-serif"
                android:gravity="center"
                android:text="Accéder en  \nanonyme"
                android:textColor="@color/white"
                android:textSize="14sp"
                android:textStyle="normal" />

        </RelativeLayout>


    </RelativeLayout>


</RelativeLayout>
